use v6.e.PREVIEW;

use Pandoc;
use JSON::Class:auth<zef:vrurg>;

use DB::Post;

#| A literate, markdown, idris post

unit class IdrisPost does Post is json(:pretty);

#| Marker for disambiguation between post types in json representation, the
#| cheaty way
has Bool:D $.idris = True;

method title(--> Str:D) {
       markdown-title($!source)
}

# Use katla to highlight our file, mangle the resulting output, and then pass it
# through to pandoc for html generation
method render-html(--> Str:D) {
    die "Not implemented";
}
